# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.bundestag',
 'deutschland.bundestag.api',
 'deutschland.bundestag.apis',
 'deutschland.bundestag.model',
 'deutschland.bundestag.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-bundestag',
    'version': '0.1.0',
    'description': 'Bundestag: Live Informationen',
    'long_description': '# bundestag\nBundestag Informationen API \n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[bundestag]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E bundestag\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import bundestag\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import bundestag\nfrom pprint import pprint\nfrom deutschland.bundestag.api import default_api\n# Defining the host is optional and defaults to https://www.bundestag.de\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = bundestag.Configuration(\n    host = "https://www.bundestag.de"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith bundestag.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    article_id = 849630 # int | ID des Nachrichtenbeitrags\n\n    try:\n        # Artikel Details\n        api_response = api_instance.blueprint_servlet_content_articleidas_app_v2_newsarticle_xml_get(article_id)\n        pprint(api_response)\n    except bundestag.ApiException as e:\n        print("Exception when calling DefaultApi->blueprint_servlet_content_articleidas_app_v2_newsarticle_xml_get: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://www.bundestag.de*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**blueprint_servlet_content_articleidas_app_v2_newsarticle_xml_get**](docs/DefaultApi.md#blueprint_servlet_content_articleidas_app_v2_newsarticle_xml_get) | **GET** /blueprint/servlet/content/{ARTICLE_ID}/asAppV2NewsarticleXml | Artikel Details\n*DefaultApi* | [**iptv_player_macros_xs144277506_bttv_mobile_feed_vod_xml_get**](docs/DefaultApi.md#iptv_player_macros_xs144277506_bttv_mobile_feed_vod_xml_get) | **GET** /iptv/player/macros/_x_s-144277506/bttv/mobile/feed_vod.xml | Abruf eines Videos\n*DefaultApi* | [**static_appdata_plenum_v2_conferences_xml_get**](docs/DefaultApi.md#static_appdata_plenum_v2_conferences_xml_get) | **GET** /static/appdata/plenum/v2/conferences.xml | Sitzungstag übersicht\n*DefaultApi* | [**static_appdata_plenum_v2_speaker_xml_get**](docs/DefaultApi.md#static_appdata_plenum_v2_speaker_xml_get) | **GET** /static/appdata/plenum/v2/speaker.xml | Aktuelle Sprecher*in\n*DefaultApi* | [**xml_v2_ausschuesse_ausschussid_xml_get**](docs/DefaultApi.md#xml_v2_ausschuesse_ausschussid_xml_get) | **GET** /xml/v2/ausschuesse/{AUSSCHUSS_ID}.xml | Übersicht über die Ausschüsse\n*DefaultApi* | [**xml_v2_ausschuesse_index_xml_get**](docs/DefaultApi.md#xml_v2_ausschuesse_index_xml_get) | **GET** /xml/v2/ausschuesse/index.xml | Übersicht über die Ausschüsse\n*DefaultApi* | [**xml_v2_mdb_biografien_mdbid_xml_get**](docs/DefaultApi.md#xml_v2_mdb_biografien_mdbid_xml_get) | **GET** /xml/v2/mdb/biografien/{MDB_ID}.xml | Abruf Details eines MDBS\n*DefaultApi* | [**xml_v2_mdb_index_xml_get**](docs/DefaultApi.md#xml_v2_mdb_index_xml_get) | **GET** /xml/v2/mdb/index.xml | Übersicht über alle MDBS\n\n\n## Documentation For Models\n\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nkontakt@bund.dev\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in bundestag.apis and bundestag.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.bundestag.api.default_api import DefaultApi`\n- `from deutschland.bundestag.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import bundestag\nfrom deutschland.bundestag.apis import *\nfrom deutschland.bundestag.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/bundestag-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
